<?php namespace EscapeWork\Manager\Medias\Controllers;

use EscapeWork\Manager\Controllers\ManagerController;
use App;
use Input;
use Response;

class MediaModelSizeController extends ManagerController
{

    public function __construct()
    {
        $this->mediaModelSize = App::make('EscapeWork\Manager\Medias\Repositories\MediaModelSizeRepository');
    }

    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        return $this->mediaModelSize->where('media_model_id', '=', Input::get('id'))->get();
    }

    /**
     * Store a newly created resource in storage.
     *
     * @return Response
     */
    public function store()
    {
        $this->mediaModelSize->fill(Input::all());

        if (! $this->mediaModelSize->validate()) {
            return Response::json(MediaModelSize::$messages);
        }

        $this->mediaModelSize->resize = $this->mediaModelSize->resize == 1 ? 1 : 0;
        $this->mediaModelSize->save();

        return Response::json($this->mediaModelSize, 200);
    }

    public function show($id)
    {
        return $this->mediaModelSize->find($id);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @return Response
     */
    public function destroy($id)
    {
        $this->mediaModelSize = $this->mediaModelSize->find($id);

        return $this->mediaModelSize->delete();
    }
}
